VST 3 Examples: Voice< SamplePrecision > Class Template Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Voice< SamplePrecision > Class Template Reference

Example Note Expression Synth Voice Class. More...

`#include <note_expression_synth_voice.h>`

Inheritance diagram for Voice< SamplePrecision >:

## Public Member Functions
| Voice ()
| ~Voice ()
void | setSampleRate (ParamValue sampleRate) SMTG_OVERRIDE
void | noteOn (int32 pitch, ParamValue velocity, float tuning, int32 sampleOffset, int32 nId) SMTG_OVERRIDE
void | noteOff (ParamValue velocity, int32 sampleOffset) SMTG_OVERRIDE
bool | process (SamplePrecision *outputBuffers[2], int32 numSamples)
void | reset () SMTG_OVERRIDE
void | setNoteExpressionValue (int32 index, ParamValue value) SMTG_OVERRIDE
Public Member Functions inherited from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >
int32 | getNoteId () const
| Returns the current note id of this voice.
virtual void | setGlobalParameterStorage (GlobalParameterState *globalParameters)
| Sets a new GlobalParameterStorage.
float | getSampleRate () const
| Returns the sampleRate.

## Protected Attributes
uint32 | n
int32 | noisePos
int32 | noiseStep
Filter * | filter
SamplePrecision | trianglePhase
SamplePrecision | sinusPhase
ParamValue | currentTriangleF
ParamValue | currentSinusF
ParamValue | currentVolume
ParamValue | currentPanningLeft
ParamValue | currentPanningRight
ParamValue | currentNoiseVolume
ParamValue | currentSinusVolume
ParamValue | currentSinusDetune
ParamValue | currentSquareVolume
ParamValue | currentTriangleVolume
ParamValue | currentTriangleSlope
ParamValue | currentLPFreq
ParamValue | currentLPQ
ParamValue | levelFromVel
ParamValue | noteOffVolumeRamp
Protected Attributes inherited from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >
GlobalParameterState * | globalParameters
int32 | noteId
int32 | pitch
int32 | noteOnSampleOffset
int32 | noteOffSampleOffset
float | tuning
ParamValue | sampleRate
ParamValue | noteOnVelocity
ParamValue | noteOffVelocity
ParamValue | values [numValues]

## Additional Inherited Members
Protected Member Functions inherited from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >
| VoiceBase ()
| VoiceBase (const VoiceBase &vb)
virtual | ~VoiceBase ()

## Detailed Description

template<class SamplePrecision>
class Steinberg::Vst::NoteExpressionSynth::Voice< SamplePrecision >

Example Note Expression Synth Voice Class.

See also
  Steinberg::Vst::VoiceBase

## Constructor & Destructor Documentation

## ◆ Voice()

template<class SamplePrecision>

Voice | ( |  | ) |

## ◆ ~Voice()

template<class SamplePrecision>

~Voice | ( |  | ) |

## Member Function Documentation

## ◆ setSampleRate()

template<class SamplePrecision>

void setSampleRate | ( | ParamValue | sampleRate | ) |
| virtual

Reimplemented from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >.

## ◆ noteOn()

template<class SamplePrecision>

void noteOn | ( | int32 | pitch,
|  | ParamValue | velocity,
|  | float | tuning,
|  | int32 | sampleOffset,
|  | int32 | nId )
| virtual

Reimplemented from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >.

## ◆ noteOff()

template<class SamplePrecision>

void noteOff | ( | ParamValue | velocity,
|  | int32 | sampleOffset )
| virtual

Reimplemented from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >.

## ◆ process()

template<class SamplePrecision>

bool process | ( | SamplePrecision * | outputBuffers[2],
|  | int32 | numSamples )

## ◆ reset()

template<class SamplePrecision>

void reset | ( |  | ) |
| virtual

Reimplemented from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >.

## ◆ setNoteExpressionValue()

template<class SamplePrecision>

void setNoteExpressionValue | ( | int32 | index,
|  | ParamValue | value )
| virtual

Reimplemented from VoiceBase< kNumParameters, SamplePrecision, 2, GlobalParameterState >.

## Member Data Documentation

## ◆ n

template<class SamplePrecision>

uint32 n
| protected

## ◆ noisePos

template<class SamplePrecision>

int32 noisePos
| protected

## ◆ noiseStep

template<class SamplePrecision>

int32 noiseStep
| protected

## ◆ filter

template<class SamplePrecision>

Filter* filter
| protected

## ◆ trianglePhase

template<class SamplePrecision>

SamplePrecision trianglePhase
| protected

## ◆ sinusPhase

template<class SamplePrecision>

SamplePrecision sinusPhase
| protected

## ◆ currentTriangleF

template<class SamplePrecision>

ParamValue currentTriangleF
| protected

## ◆ currentSinusF

template<class SamplePrecision>

ParamValue currentSinusF
| protected

## ◆ currentVolume

template<class SamplePrecision>

ParamValue currentVolume
| protected

## ◆ currentPanningLeft

template<class SamplePrecision>

ParamValue currentPanningLeft
| protected

## ◆ currentPanningRight

template<class SamplePrecision>

ParamValue currentPanningRight
| protected

## ◆ currentNoiseVolume

template<class SamplePrecision>

ParamValue currentNoiseVolume
| protected

## ◆ currentSinusVolume

template<class SamplePrecision>

ParamValue currentSinusVolume
| protected

## ◆ currentSinusDetune

template<class SamplePrecision>

ParamValue currentSinusDetune
| protected

## ◆ currentSquareVolume

template<class SamplePrecision>

ParamValue currentSquareVolume
| protected

## ◆ currentTriangleVolume

template<class SamplePrecision>

ParamValue currentTriangleVolume
| protected

## ◆ currentTriangleSlope

template<class SamplePrecision>

ParamValue currentTriangleSlope
| protected

## ◆ currentLPFreq

template<class SamplePrecision>

ParamValue currentLPFreq
| protected

## ◆ currentLPQ

template<class SamplePrecision>

ParamValue currentLPQ
| protected

## ◆ levelFromVel

template<class SamplePrecision>

ParamValue levelFromVel
| protected

## ◆ noteOffVolumeRamp

template<class SamplePrecision>

ParamValue noteOffVolumeRamp
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.